LOCAL_PATH := $(call my-dir)

## include variants like TA_DEV_KIT_DIR
## and target of BUILD_OPTEE_OS
INCLUDE_FOR_BUILD_TA := false
include $(BUILD_OPTEE_MK)
INCLUDE_FOR_BUILD_TA :=

VERSION = $(shell git describe --always --dirty=-dev 2>/dev/null || echo Unknown)

# TA_DEV_KIT_DIR must be set to non-empty value to
# avoid the Android build scripts complaining about
# includes pointing outside the Android source tree.
# This var is expected to be set when OPTEE OS built.
# We set the default value to an invalid path.
TA_DEV_KIT_DIR ?= ../invalid_include_path

-include $(TA_DEV_KIT_DIR)/host_include/conf.mk

include $(CLEAR_VARS)
LOCAL_MODULE := xtest
LOCAL_SHARED_LIBRARIES := libteec

srcs := xtest_1000.c

ifeq ($(CFG_GP_SOCKETS),y)
srcs += xtest_2000.c \
	sock_server.c \
	rand_stream.c
endif

srcs += xtest_4000.c \
	xtest_5000.c \
	xtest_6000.c \
	xtest_7000.c \
	xtest_10000.c \
	xtest_20000.c \
	xtest_benchmark_1000.c \
	xtest_benchmark_2000.c \
	xtest_helpers.c \
	xtest_main.c \
	xtest_test.c \
	adbg/src/adbg_case.c \
	adbg/src/adbg_enum.c \
	adbg/src/adbg_expect.c \
	adbg/src/adbg_log.c \
	adbg/src/adbg_run.c \
	adbg/src/security_utils_hex.c \
	aes_perf.c \
	sha_perf.c

ifeq ($(CFG_SECURE_DATA_PATH),y)
srcs += sdp_basic.c
endif

LOCAL_SRC_FILES := $(patsubst %,host/xtest/%,$(srcs))

LOCAL_C_INCLUDES += $(LOCAL_PATH)/host/xtest \
		$(LOCAL_PATH)/host/xtest/adbg/include\
		$(LOCAL_PATH)/host/xtest/xml/include \
		$(TA_DEV_KIT_DIR)/host_include \
		$(LOCAL_PATH)/ta/concurrent/include \
		$(LOCAL_PATH)/ta/concurrent_large/include \
		$(LOCAL_PATH)/ta/create_fail_test/include \
		$(LOCAL_PATH)/ta/crypt/include \
		$(LOCAL_PATH)/ta/enc_fs/include \
		$(LOCAL_PATH)/ta/os_test/include \
		$(LOCAL_PATH)/ta/rpc_test/include \
		$(LOCAL_PATH)/ta/sims/include \
		$(LOCAL_PATH)/ta/storage/include \
		$(LOCAL_PATH)/ta/storage_benchmark/include \
		$(LOCAL_PATH)/ta/sha_perf/include \
		$(LOCAL_PATH)/ta/aes_perf/include \
		$(LOCAL_PATH)/ta/socket/include \
		$(LOCAL_PATH)/ta/sdp_basic/include

# Include configuration file generated by OP-TEE OS (CFG_* macros)
LOCAL_CFLAGS += -include conf.h
LOCAL_CFLAGS += -pthread
LOCAL_CFLAGS += -g3

## target BUILD_OPTEE_OS is defined in the common ta build
## mk file included before, and this BUILD_OPTEE_OS will
## help to generate the header files under $(TA_DEV_KIT_DIR)/host_include
LOCAL_ADDITIONAL_DEPENDENCIES := BUILD_OPTEE_OS

include $(BUILD_EXECUTABLE)

include $(LOCAL_PATH)/ta/Android.mk
